Version 4.0.26.22 (latest)

### Search Dashboard Elements

Returns an **array of DashboardElement objects** that match the specified search criteria.

If multiple search params are given and `filter_or` is FALSE or not specified,
search params are combined in a logical AND operation.
Only rows that match *all* search param criteria will be returned.

If `filter_or` is TRUE, multiple search params are combined in a logical OR operation.
Results will include rows that match **any** of the search criteria.

String search params use case-insensitive matching.
String search params can contain `%` and '_' as SQL LIKE pattern match wildcard expressions.
example="dan%" will match "danger" and "Danzig" but not "David"
example="D_m%" will match "Damage" and "dump"

Integer search params can accept a single value or a comma separated list of values. The multiple
values will be combined under a logical OR operation - results will match at least one of
the given values.

Most search params can accept "IS NULL" and "NOT NULL" as special expressions to match
or exclude (respectively) rows where the column is null.

Boolean search params accept only "true" and "false" as values.

## Request

GET /dashboard_elements/search Datatype Description Request HTTP Request query HTTP Query Expand HTTP Query definition... dashboard_id string Select elements that refer to a given dashboard id look_id string Select elements that refer to a given look id title string Match the title of element deleted boolean Select soft-deleted dashboard elements fields string Requested fields. filter_or boolean Combine given search criteria in a boolean OR expression sorts string Fields to sort by. Sortable fields: \[:look_id, :dashboard_id, :deleted, :title\]

## Response

### 200: Dashboard elements

Datatype Description (array) [DashboardElement](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/DashboardElement)\[\] can object Operations the current user is able to perform on this object body_text string Text tile body text body_text_as_html string Text tile body text as Html dashboard_id string Id of Dashboard dashboard_layout_id string Id of Dashboard Layout group_id string ID of the group to place this element under in the layout edit_uri string Relative path of URI of LookML file to edit the dashboard element (LookML dashboard only). id string Unique Id look [LookWithQuery](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookWithQuery) Look Expand LookWithQuery definition... can object Operations the current user is able to perform on this object content_metadata_id string Id of content metadata id string Unique Id title string Look Title user_id string User Id certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification content_favorite_id string Content Favorite Id created_at string Time that the Look was created. deleted boolean Whether or not a look is 'soft' deleted. deleted_at string Time that the Look was deleted. deleter_id string Id of User that deleted the look. description string Description embed_url string Embed Url excel_file_url string Excel File Url favorite_count integer Number of times favorited google_spreadsheet_formula string Google Spreadsheet Formula image_embed_url string Image Embed Url is_run_on_load boolean auto-run query when Look viewed last_accessed_at string Time that the Look was last accessed by any user last_updater_id string Id of User that last updated the look. last_viewed_at string Time last viewed in the Looker web UI model [LookModel](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/LookModel) Model Expand LookModel definition... id string Model Id label string Model Label public boolean Is Public public_slug string Public Slug public_url string Public Url query_id string Query Id short_url string Short Url folder [FolderBase](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/FolderBase) Folder of this Look Expand FolderBase definition... name string Unique Name parent_id string Id of Parent. If the parent id is null, this is a root-level entry id string Unique Id content_metadata_id string Id of content metadata created_at string Time the folder was created creator_id string User Id of Creator child_count integer Children Count external_id string Embedder's Id if this folder was autogenerated as an embedding shared folder via 'external_group_id' in an SSO embed login is_embed boolean Folder is an embed folder is_embed_shared_root boolean Folder is the root embed shared folder is_embed_users_root boolean Folder is the root embed users folder is_personal boolean Folder is a user's personal folder is_personal_descendant boolean Folder is descendant of a user's personal folder is_shared_root boolean Folder is the root shared folder is_users_root boolean Folder is the root user folder can object Operations the current user is able to perform on this object folder_id string Folder Id updated_at string Time that the Look was updated. user_name string Name of User that created the look. view_count integer Number of times viewed in the Looker web UI usage_count integer Number of queries executed on this look in the last N days is_owner_disabled boolean Is the owner disabled query [Query](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Query) Query Expand Query definition... can object Operations the current user is able to perform on this object id string Unique Id model string Model view string Explore Name fields string\[\] pivots string\[\] fill_fields string\[\] filters object Filters will contain data pertaining to complex filters that do not contain "or" conditions. When "or" conditions are present, filter data will be found on the \`filter_expression\` property. filter_expression string Filter Expression sorts string\[\] limit string Row limit. To download unlimited results, set the limit to -1 (negative one). column_limit string Column Limit total boolean Total row_total string Raw Total subtotals string\[\] vis_config object Visualization configuration properties. These properties are typically opaque and differ based on the type of visualization used. There is no specified set of allowed keys. The values can be any type supported by JSON. A "type" key with a string value is often present, and is used by Looker to determine which visualization to present. Visualizations ignore unknown vis_config properties. filter_config object The filter_config represents the state of the filter UI on the explore page for a given query. When running a query via the Looker UI, this parameter takes precedence over "filters". When creating a query or modifying an existing query, "filter_config" should be set to null. Setting it to any other value could cause unexpected filtering behavior. The format should be considered opaque. visible_ui_sections string Visible UI Sections slug string Slug dynamic_fields string Dynamic Fields client_id string Client Id: used to generate shortened explore URLs. If set by client, must be a unique 22 character alphanumeric string. Otherwise one will be generated. share_url string Share Url expanded_share_url string Expanded Share Url url string Expanded Url query_timezone string Query Timezone has_table_calculations boolean Has Table Calculations url string Url look_id string Id Of Look lookml_link_id string LookML link ID merge_result_id string ID of merge result note_display string Note Display note_state string Note State note_text string Note Text note_text_as_html string Note Text as Html query [Query](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Query) Query Expand Query definition... can object Operations the current user is able to perform on this object id string Unique Id model string Model view string Explore Name fields string\[\] pivots string\[\] fill_fields string\[\] filters object Filters will contain data pertaining to complex filters that do not contain "or" conditions. When "or" conditions are present, filter data will be found on the \`filter_expression\` property. filter_expression string Filter Expression sorts string\[\] limit string Row limit. To download unlimited results, set the limit to -1 (negative one). column_limit string Column Limit total boolean Total row_total string Raw Total subtotals string\[\] vis_config object Visualization configuration properties. These properties are typically opaque and differ based on the type of visualization used. There is no specified set of allowed keys. The values can be any type supported by JSON. A "type" key with a string value is often present, and is used by Looker to determine which visualization to present. Visualizations ignore unknown vis_config properties. filter_config object The filter_config represents the state of the filter UI on the explore page for a given query. When running a query via the Looker UI, this parameter takes precedence over "filters". When creating a query or modifying an existing query, "filter_config" should be set to null. Setting it to any other value could cause unexpected filtering behavior. The format should be considered opaque. visible_ui_sections string Visible UI Sections slug string Slug dynamic_fields string Dynamic Fields client_id string Client Id: used to generate shortened explore URLs. If set by client, must be a unique 22 character alphanumeric string. Otherwise one will be generated. share_url string Share Url expanded_share_url string Expanded Share Url url string Expanded Url query_timezone string Query Timezone has_table_calculations boolean Has Table Calculations query_id string Id Of Query filter_id string ID of the filter this element represents refresh_interval string Refresh Interval refresh_interval_to_i integer Refresh Interval as integer result_maker [ResultMakerWithIdVisConfigAndDynamicFields](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ResultMakerWithIdVisConfigAndDynamicFields) Data about the result maker. Expand ResultMakerWithIdVisConfigAndDynamicFields definition... id string Unique Id. dynamic_fields string JSON string of dynamic field information. filterables [ResultMakerFilterables](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ResultMakerFilterables)\[\] Expand ResultMakerFilterables definition... model string The model this filterable comes from (used for field suggestions). view string The view this filterable comes from (used for field suggestions). name string The name of the filterable thing (Query or Merged Results). listen [ResultMakerFilterablesListen](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/ResultMakerFilterablesListen)\[\] sorts string\[\] merge_result_id string ID of merge result if this is a merge_result. total boolean Total of the constituent Look, Query, or Merge Query query_id string ID of query if this is a query. sql_query_id string ID of SQL Query if this is a SQL Runner Query query [Query](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Query) Query Expand Query definition... can object Operations the current user is able to perform on this object id string Unique Id model string Model view string Explore Name fields string\[\] pivots string\[\] fill_fields string\[\] filters object Filters will contain data pertaining to complex filters that do not contain "or" conditions. When "or" conditions are present, filter data will be found on the \`filter_expression\` property. filter_expression string Filter Expression sorts string\[\] limit string Row limit. To download unlimited results, set the limit to -1 (negative one). column_limit string Column Limit total boolean Total row_total string Raw Total subtotals string\[\] vis_config object Visualization configuration properties. These properties are typically opaque and differ based on the type of visualization used. There is no specified set of allowed keys. The values can be any type supported by JSON. A "type" key with a string value is often present, and is used by Looker to determine which visualization to present. Visualizations ignore unknown vis_config properties. filter_config object The filter_config represents the state of the filter UI on the explore page for a given query. When running a query via the Looker UI, this parameter takes precedence over "filters". When creating a query or modifying an existing query, "filter_config" should be set to null. Setting it to any other value could cause unexpected filtering behavior. The format should be considered opaque. visible_ui_sections string Visible UI Sections slug string Slug dynamic_fields string Dynamic Fields client_id string Client Id: used to generate shortened explore URLs. If set by client, must be a unique 22 character alphanumeric string. Otherwise one will be generated. share_url string Share Url expanded_share_url string Expanded Share Url url string Expanded Url query_timezone string Query Timezone has_table_calculations boolean Has Table Calculations vis_config object Vis config of the constituent Query, or Merge Query. result_maker_id string ID of the ResultMakerLookup entry. subtitle_text string Text tile subtitle text title string Title of dashboard element title_hidden boolean Whether title is hidden title_text string Text tile title type string Type alert_count integer Count of Alerts associated to a dashboard element rich_content_json string JSON with all the properties required for rich editor and buttons elements title_text_as_html string Text tile title text as Html subtitle_text_as_html string Text tile subtitle text as Html extension_id string Extension ID aria_description string Custom ARIA description text certification_metadata [Certification](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Certification) Certification metadata Expand Certification definition... certification_status string Certification status: "certified" or "revoked" Valid values are: "certified", "revoked". ui_status string Indicates whether the underlying model is ungoverned user_name string Display name of user who certified the content, derived from user_id notes string Certification notes updated_at string Timestamp of certification image_id string ID of Dashboard Image images [Image](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Image)\[\] Expand Image definition... can object Operations the current user is able to perform on this object id string Unique Id file_name string Original file name format string Image format (e.g. PNG, JPG) label string Accessibility label url string URL of the image created_at string Creation timestamp updated_at string Update timestamp

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link